CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2016-0695

Unspecified vulnerability in Oracle Java SE 6u113, 7u99, and 8u77; Java SE Embedded 8u77; and JRockit R28.3.9 allows remote attackers to affect confidentiality via vectors related to Security.
Publish Date : 2016-04-21 Last Update Date : 2020-09-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
2.6
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity High (Specialized access conditions exist. It is hard to exploit and several special conditions must be satisfied to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2016:0650: java-1.8.0-openjdk security update (Critical) oval:com.redhat.rhsa:def:20160650 unix
RHSA-2016:0651: java-1.8.0-openjdk security update (Critical) oval:com.redhat.rhsa:def:20160651 unix
RHSA-2016:0675: java-1.7.0-openjdk security update (Critical) oval:com.redhat.rhsa:def:20160675 unix
RHSA-2016:0676: java-1.7.0-openjdk security update (Critical) oval:com.redhat.rhsa:def:20160676 unix
RHSA-2016:0677: java-1.8.0-oracle security update (Critical) oval:com.redhat.rhsa:def:20160677 unix
RHSA-2016:0678: java-1.7.0-oracle security update (Critical) oval:com.redhat.rhsa:def:20160678 unix
RHSA-2016:0679: java-1.6.0-sun security update (Critical) oval:com.redhat.rhsa:def:20160679 unix
RHSA-2016:0723: java-1.6.0-openjdk security update (Critical) oval:com.redhat.rhsa:def:20160723 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2016-0695

# Product Type Vendor Product Version Update Edition Language
1 Application Oracle JDK 1.6.0 Update 113 * * Version Details Vulnerabilities
2 Application Oracle JDK 1.7.0 Update 99 * * Version Details Vulnerabilities
3 Application Oracle JDK 1.8.0 Update77 * * Version Details Vulnerabilities
4 Application Oracle JRE 1.6.0 Update 113 * * Version Details Vulnerabilities
5 Application Oracle JRE 1.7.0 Update 99 * * Version Details Vulnerabilities
6 Application Oracle JRE 1.8.0 Update 77 * * Version Details Vulnerabilities
7 Application Oracle Jrockit R28.3.9 * * * Version Details Vulnerabilities
8 OS Oracle Linux 5.0 * * * Version Details Vulnerabilities
9 OS Oracle Linux 6 * * * Version Details Vulnerabilities
10 OS Oracle Linux 7 * * * Version Details Vulnerabilities
11 OS Redhat Enterprise Linux Desktop 5.0 * * * Version Details Vulnerabilities
12 OS Redhat Enterprise Linux Desktop 6.0 * * * Version Details Vulnerabilities
13 OS Redhat Enterprise Linux Desktop 7.0 * * * Version Details Vulnerabilities
14 OS Redhat Enterprise Linux Hpc Node 6.0 * * * Version Details Vulnerabilities
15 OS Redhat Enterprise Linux Hpc Node 7.0 * * * Version Details Vulnerabilities
16 OS Redhat Enterprise Linux Hpc Node Eus 7.2 * * * Version Details Vulnerabilities
17 OS Redhat Enterprise Linux Server 5.0 * * * Version Details Vulnerabilities
18 OS Redhat Enterprise Linux Server 6.0 * * * Version Details Vulnerabilities
19 OS Redhat Enterprise Linux Server 7.0 * * * Version Details Vulnerabilities
20 OS Redhat Enterprise Linux Server Aus 7.2 * * * Version Details Vulnerabilities
21 OS Redhat Enterprise Linux Server Eus 6.7.z * * * Version Details Vulnerabilities
22 OS Redhat Enterprise Linux Server Eus 7.2 * * * Version Details Vulnerabilities
23 OS Redhat Enterprise Linux Workstation 6.0 * * * Version Details Vulnerabilities
24 OS Redhat Enterprise Linux Workstation 7.0 * * * Version Details Vulnerabilities
25 Application Redhat Icedtea7 * RC1 * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Oracle JDK 3
Oracle JRE 3
Oracle Jrockit 1
Oracle Linux 3
Redhat Enterprise Linux Desktop 3
Redhat Enterprise Linux Hpc Node 2
Redhat Enterprise Linux Hpc Node Eus 1
Redhat Enterprise Linux Server 3
Redhat Enterprise Linux Server Aus 1
Redhat Enterprise Linux Server Eus 2
Redhat Enterprise Linux Workstation 2
Redhat Icedtea7 1

- References For CVE-2016-0695

http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html CONFIRM
http://www.debian.org/security/2016/dsa-3558
DEBIAN DSA-3558
http://rhn.redhat.com/errata/RHSA-2016-0678.html
REDHAT RHSA-2016:0678
http://www.securitytracker.com/id/1035596
SECTRACK 1035596
https://security.netapp.com/advisory/ntap-20160420-0001/ CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00027.html
SUSE openSUSE-SU-2016:1265
http://rhn.redhat.com/errata/RHSA-2016-0651.html
REDHAT RHSA-2016:0651
http://rhn.redhat.com/errata/RHSA-2016-0650.html
REDHAT RHSA-2016:0650
http://rhn.redhat.com/errata/RHSA-2016-0677.html
REDHAT RHSA-2016:0677
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00009.html
SUSE openSUSE-SU-2016:1230
http://www.ubuntu.com/usn/USN-2964-1
UBUNTU USN-2964-1
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00022.html
SUSE SUSE-SU-2016:1250
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00006.html
SUSE openSUSE-SU-2016:1222
http://rhn.redhat.com/errata/RHSA-2016-0679.html
REDHAT RHSA-2016:0679
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00026.html
SUSE openSUSE-SU-2016:1262
http://www.ubuntu.com/usn/USN-2963-1
UBUNTU USN-2963-1
http://www.ubuntu.com/usn/USN-2972-1
UBUNTU USN-2972-1
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00012.html
SUSE openSUSE-SU-2016:1235
http://rhn.redhat.com/errata/RHSA-2016-0675.html
REDHAT RHSA-2016:0675
https://kc.mcafee.com/corporate/index?page=content&id=SB10159 CONFIRM
http://rhn.redhat.com/errata/RHSA-2016-0676.html
REDHAT RHSA-2016:0676
https://security.gentoo.org/glsa/201606-18
GENTOO GLSA-201606-18
http://www.securityfocus.com/bid/86438
BID 86438 Oracle Java SE and JRockit CVE-2016-0695 Remote Security Vulnerability Release Date:2016-12-20
http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html CONFIRM
http://rhn.redhat.com/errata/RHSA-2016-0723.html
REDHAT RHSA-2016:0723
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00021.html
SUSE SUSE-SU-2016:1248

- Metasploit Modules Related To CVE-2016-0695

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.